@media only screen and (orientation:portrait){
    .Separator {
      display: none !important;
      transition: 1s;
      opacity: 0;
    }
    .Portrait {
        transition: 1s;
        opacity: 1;
    }
  }
@media only screen and (orientation:landscape){
    .Separator {
        transition: 1s;
        opacity: 1;
    }
    .Portrait {
        display: none  !important;
        transition: 1s;
        opacity: 0;
    }
}
:root{
    --main-bg-color: rgb(58, 58, 58);
    --panel-side-bg-color: rgb(43, 43, 43);
    --panel-main-bg-color: rgb(43, 43, 43);
    --panel-main-pair-bg-color: rgb(37, 37, 37);
    --download-bg : white;

    --text-color: white;


    --font :'Roboto', Helvetica, Arial, sans-serif;
}

.Portrait{
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: 5vw !important;
    font: var(--font);
    color: var(--text-color);
    transition: 1s;
}
.Portrait>img{
    animation-duration: 5s;
    animation-name: rotatephone;
    animation-iteration-count: infinite;
}

@keyframes rotatephone {
    0%   { transform: rotate(-0deg); }
    25%  { transform: rotate(-90deg); } 
    40%  { transform: rotate(-90deg); }
    60% { transform: rotate(-360deg); }
    80% { transform: rotate(-360deg); }
    100% { transform: rotate(-360deg); }
}



body{
    background-color: rgb(58, 58, 58);
    margin:0;
    width:100vw;
    min-height:100vh; 
    overflow-anchor: auto ;
    overflow-x: hidden;
}

html{
    min-height: 100vh;
    width: 100vw;
    overflow-x: hidden;
    scroll-behavior: smooth;
}


.Separator{
    /* height: 100vh; */
    width: 100vw; 
    display: flex;
    flex-direction: row;
    overflow-x: hidden;
    transition: 1s;
}

.SeparatorItem1{

    width: 20vw;
    height: 100vh;
    background-color : rgb(43, 43, 43);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: fixed;
   

}
.SeparatorItem2{
    width: 100vw;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: flex-end;
    
    
}
.LeftTitle{
    color: rgb(255, 255, 255);
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
    transition: 0.2s;
    font-size: 5vh;
    text-align: center;
}
.Active{
    color: #cd001e;
}

.LeftTitle:hover{
    color: #cd001e;
    cursor: pointer;
    transition: 0.2s;
}

.ContentDiv{
    width: 80vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;

}
#Welcome{
    justify-content: center;
    align-items: center; 
}

#Welcome>h1{
    width: 50vw;
    font-size: 10vh;
    line-height: 0%;
    color: rgb(255, 255, 255);
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
}
#Welcome>h2{
    width: 50vw;
    font-size: 2vh;
    color: rgb(255, 255, 255);
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
}

alt{
    color: #cd001e;
}

.ContentPair{
    background-color: rgb(37, 37, 37);
    box-shadow: 0px 2px 5px black;
}

#About>h1, #Project>h1{
    width: 50vw;
    font-size: 10vh;
    line-height: 0%;
    color: rgb(255, 255, 255);
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
}

#Project>h1{
    font-size: 5vh;
}

.AboutSubDiv{
    margin-top: 10vh;
    width: 70vw;
    height: 70vh;
    /* background-color: white; */
    display: flex;
    flex-direction: row;
    align-items: center;
    
}
.AboutSubDiv>img{
    box-shadow: 1px 2px 10px black;
    height:80%;
    border-radius: 10px;
}

.AboutTextDiv{
    width: 50%; 
    height: 80%;
    margin-left: 10%;
}

.AboutTextDiv>p{
    color: rgb(255, 255, 255);
    font-size: 3vh;
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
}

.ProjectSubDiv{
    margin-top: 5vh;
    height: 90vh;
    /* background-color: white; */
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
}

.ProjectItem{
     
    width: 24vw;
    height: 14vw;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border-radius: 10px;
    
    
}
.ProjectItem>div{
    width: 24vw;
    height: 14vw;
    transition: 0.5s;
    display: none;
    justify-content: center;
    align-items: center; 
    flex-direction: column;
}
.ProjectItem:hover > div{
    display: flex;
    transition: 0.5s;
    cursor: pointer;
    background-color: #0000009d;
    border-radius: 10px;
}

.ProjectItem>div>h1{
    margin: 0;
    color: rgb(255, 255, 255);
    font-size: 3vh;
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
}
.ProjectItem>div>p{
    margin: 1vh;
    color: rgb(255, 255, 255);
    font-size: 1vw;
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
    text-align: justify;
    
}
.ProjectItem>div>a{
    padding: 1vh;
    color: rgb(255, 255, 255);
    background-color: #cd001e;
    border: solid 1px white;
    border-radius: 10px;
    text-decoration: none;
    font-size: 1vw;
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
    text-align: center;
    
} 

.ProjectItem>div>a:hover{
    background-color: #ec0023;
}

.SkillSection{
    margin-top: 5vh;
    width: 70vw;
    height: 90vh;
    /* background-color: white; */
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
}

.SkillSection>div>p{
    margin: 1vh;
    color: rgb(255, 255, 255);
    font-size: 1vw;
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
    text-align: center;
}

.SkillSection>div>h1{
    margin: 1vh;
    color: #cd001e;
    font-size: 2vw;
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
    text-align: center;
}